## r-cran-distr 2.9.1+dfsg

=== DESCRIPTION ===
Package: distr
Version: 2.9.1
Date: 2022-11-14
Title: Object Oriented Implementation of Distributions
Description: S4-classes and methods for distributions.
Authors@R: c(person("Florian", "Camphausen", role="ctb", comment="contributed as student in
            the initial phase --2005"), person("Matthias", "Kohl", role=c("aut", "cph")),
            person("Peter", "Ruckdeschel", role=c("cre", "cph"),
            email="peter.ruckdeschel@uni-oldenburg.de"), person("Thomas", "Stabla",
            role="ctb", comment="contributed as student in the initial phase --2005"),
            person("R Core Team", role = c("ctb", "cph"), comment="for source file ks.c/
            routines 'pKS2' and 'pKolmogorov2x'"))
Depends: R(>= 3.4), methods, graphics, startupmsg, sfsmisc
Suggests: distrEx, svUnit (>= 0.7-11), knitr, distrMod, ROptEst
Imports: stats, grDevices, utils, MASS
VignetteBuilder: knitr
ByteCompile: yes
Encoding: latin1
License: LGPL-3
URL: http://distr.r-forge.r-project.org/
LastChangedDate: {$LastChangedDate: 2022-11-14 20:48:44 +0100 (Mo, 14.
        Nov 2022) $}
LastChangedRevision: {$LastChangedRevision: 1399 $}
VCS/SVNRevision: 1395
NeedsCompilation: yes
Packaged: 2022-11-14 20:20:11 UTC; ruckdesc
Author: Florian Camphausen [ctb] (contributed as student in the initial phase
    --2005),
  Matthias Kohl [aut, cph],
  Peter Ruckdeschel [cre, cph],
  Thomas Stabla [ctb] (contributed as student in the initial phase
    --2005),
  R Core Team [ctb, cph] (for source file ks.c/ routines 'pKS2' and
    'pKolmogorov2x')
Maintainer: Peter Ruckdeschel <peter.ruckdeschel@uni-oldenburg.de>
Repository: CRAN
Date/Publication: 2022-11-16 12:11:00 UTC

## r-cran-distr 2.8.0+dfsg

=== debian/changelog ===
r-cran-distr (2.8.0+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Mar 2022 20:40:44 +0100

r-cran-distr (2.8.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1005387)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 21:33:49 +0100

=== debian/control ===
Source: r-cran-distr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-startupmsg,
               r-cran-sfsmisc,
               r-cran-mass
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distr.git
Homepage: https://cran.r-project.org/package=distr
Rules-Requires-Root: no

Package: r-cran-distr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          texlive-latex-extra
Description: GNU R object oriented implementation of distributions
 This GNU R package is an object oriented implementation of distributions
 S4-classes and methods for distributions.

## r-cran-distr 2.9.1%2Bdfsg

=== debian/changelog ===
r-cran-distr (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:38:55 +0100

r-cran-distr (2.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 11:43:11 +0100

## r-cran-distr 2.9.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-distr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distr.git
+Homepage: https://cran.r-project.org/package=distr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-startupmsg,
                r-cran-sfsmisc,
                r-cran-mass
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distr.git
-Homepage: https://cran.r-project.org/package=distr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-distr
 Architecture: any

## r-cran-distr 2.9.2+dfsg

=== debian/changelog ===
r-cran-distr (2.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 12:23:54 +0200

## r-cran-distr 2.9.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: distr
-Version: 2.9.1
-Date: 2022-11-14
+Version: 2.9.3
+Date: 2024-01-27
 Title: Object Oriented Implementation of Distributions
 Description: S4-classes and methods for distributions.
 Authors@R: c(person("Florian", "Camphausen", role="ctb", comment="contributed as student in
@@ -13,17 +13,18 @@
 Depends: R(>= 3.4), methods, graphics, startupmsg, sfsmisc
 Suggests: distrEx, svUnit (>= 0.7-11), knitr, distrMod, ROptEst
 Imports: stats, grDevices, utils, MASS
+Enhances: RobAStBase
 VignetteBuilder: knitr
 ByteCompile: yes
-Encoding: latin1
+Encoding: UTF-8
 License: LGPL-3
 URL: http://distr.r-forge.r-project.org/
-LastChangedDate: {$LastChangedDate: 2022-11-14 20:48:44 +0100 (Mo, 14.
-        Nov 2022) $}
-LastChangedRevision: {$LastChangedRevision: 1399 $}
-VCS/SVNRevision: 1395
+LastChangedDate: {$LastChangedDate: 2023-05-07 23:08:38 +0200 (So, 07.
+        Mai 2023) $}
+LastChangedRevision: {$LastChangedRevision: 1407 $}
+VCS/SVNRevision: 1422
 NeedsCompilation: yes
-Packaged: 2022-11-14 20:20:11 UTC; ruckdesc
+Packaged: 2024-01-28 16:19:47 UTC; ruckdesc
 Author: Florian Camphausen [ctb] (contributed as student in the initial phase
     --2005),
   Matthias Kohl [aut, cph],
@@ -34,4 +35,4 @@
     'pKolmogorov2x')
 Maintainer: Peter Ruckdeschel <peter.ruckdeschel@uni-oldenburg.de>
 Repository: CRAN
-Date/Publication: 2022-11-16 12:11:00 UTC
+Date/Publication: 2024-01-29 23:40:13 UTC

=== debian/changelog ===
r-cran-distr (2.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 16:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distr.git
 Homepage: https://cran.r-project.org/package=distr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack" \
  https://cloud.r-project.org/src/contrib/distr_([-\d.]*)\.tar\.gz

## r-cran-distr 2.9.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: distr
-Version: 2.9.3
-Date: 2024-01-27
+Version: 2.9.5
+Date: 2024-08-29
 Title: Object Oriented Implementation of Distributions
 Description: S4-classes and methods for distributions.
 Authors@R: c(person("Florian", "Camphausen", role="ctb", comment="contributed as student in
@@ -19,12 +19,12 @@
 Encoding: UTF-8
 License: LGPL-3
 URL: http://distr.r-forge.r-project.org/
-LastChangedDate: {$LastChangedDate: 2023-05-07 23:08:38 +0200 (So, 07.
-        Mai 2023) $}
-LastChangedRevision: {$LastChangedRevision: 1407 $}
-VCS/SVNRevision: 1422
+LastChangedDate: {$LastChangedDate: 2024-08-27 19:16:18 +0200 (Di, 27
+        Aug 2024) $}
+LastChangedRevision: {$LastChangedRevision: 1448 $}
+VCS/SVNRevision: 1448
 NeedsCompilation: yes
-Packaged: 2024-01-28 16:19:47 UTC; ruckdesc
+Packaged: 2024-08-29 12:34:44 UTC; ruckdesc
 Author: Florian Camphausen [ctb] (contributed as student in the initial phase
     --2005),
   Matthias Kohl [aut, cph],
@@ -35,4 +35,4 @@
     'pKolmogorov2x')
 Maintainer: Peter Ruckdeschel <peter.ruckdeschel@uni-oldenburg.de>
 Repository: CRAN
-Date/Publication: 2024-01-29 23:40:13 UTC
+Date/Publication: 2024-08-29 13:30:02 UTC

=== debian/changelog ===
r-cran-distr (2.9.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 15:18:56 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-distr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-distr.git
 Homepage: https://cran.r-project.org/package=distr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-distr 2.9.7+dfsg

=== DESCRIPTION ===
Package: distr
Version: 2.9.7
Date: 2025-01-11
Title: Object Oriented Implementation of Distributions
Description: S4-classes and methods for distributions.
Authors@R: c(person("Florian", "Camphausen", role="ctb", comment="contributed as student in
            the initial phase --2005"), person("Matthias", "Kohl", role=c("aut", "cph")),
            person("Peter", "Ruckdeschel", role=c("cre", "cph"),
            email="peter.ruckdeschel@uni-oldenburg.de"), person("Thomas", "Stabla",
            role="ctb", comment="contributed as student in the initial phase --2005"),
            person("R Core Team", role = c("ctb", "cph"), comment="for source file ks.c/
            routines 'pKS2' and 'pKolmogorov2x'"))
Depends: R(>= 3.4), methods, graphics, startupmsg(>= 1.0.0), sfsmisc
Suggests: distrEx, svUnit (>= 0.7-11), knitr, distrMod, ROptEst
Imports: stats, grDevices, utils, MASS
Enhances: RobAStBase
VignetteBuilder: knitr
ByteCompile: yes
Encoding: UTF-8
License: LGPL-3
URL: http://distr.r-forge.r-project.org/
LastChangedDate: {$LastChangedDate: 2024-11-05 21:59:54 +0100 (Di, 05
        Nov 2024) $}
LastChangedRevision: {$LastChangedRevision: 1482 $}
VCS/SVNRevision: 1482
NeedsCompilation: yes
Packaged: 2025-01-11 19:21:28 UTC; ruckdesc
Author: Florian Camphausen [ctb] (contributed as student in the initial phase
    --2005),
  Matthias Kohl [aut, cph],
  Peter Ruckdeschel [cre, cph],
  Thomas Stabla [ctb] (contributed as student in the initial phase
    --2005),
  R Core Team [ctb, cph] (for source file ks.c/ routines 'pKS2' and
    'pKolmogorov2x')
Maintainer: Peter Ruckdeschel <peter.ruckdeschel@uni-oldenburg.de>
Repository: CRAN
Date/Publication: 2025-01-12 23:30:02 UTC

=== debian/changelog ===
r-cran-distr (2.9.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 14:15:33 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-startupmsg,
+               r-cran-startupmsg (>= 1.0.0),
                r-cran-sfsmisc,
                r-cran-mass
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-svunit (>= 0.7-11),
        r-cran-knitr
Restrictions: allow-stderr
